Subject: Re: [PATCH net-next] net: lan743x: clean up a check in lan743x_netdev_open()

From: Simon Horman <[email-masked]>
Date: Sat, 14 Sep 2024 16:46:12 +0100

On Sat, Sep 14, 2024 at 12:59:01PM +0300, Dan Carpenter wrote:
> The "adapter->netdev->phydev" and "netdev->phydev" pointers are different
> names for the same thing.  Use them consistently.  It makes the code more
> clear to humans and static checkers alike.
> 
> Signed-off-by: Dan Carpenter <[email-masked]>

Hi Dan,

net-next is currently closed, other than for bug fixes.
So please repost this once it re-opens, after v6.12-rc1 is released.

> ---
> I noticed a different static checker warning that I never reported because it
> was too old.  However, I think it's a valid issue.
> drivers/net/ethernet/microchip/lan743x_main.c:109 lan743x_pci_init() warn: missing error code 'ret'
> I think we should set an error code on that path.  It disables the PCI device
> and then we continue to do PCI stuff even though the device is disabled.

Yes, I agree.

I tend to think that is a bug. Though perhaps
there is no urgency in fixing it as it seems unlikely
to occur in practice and it seems to date back to when the
driver was added in 2018 / v4.17.

commit 23f0703c125b ("lan743x: Add main source files for new lan743x driver")

...

-- 
pw-bot: defer